Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ClientRequestInterceptor_Adapter.h File Reference

`#include "ace/config-all.h"`
`#include "Interceptor_List.h"`

Include dependency graph for ClientRequestInterceptor_Adapter.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | TAO

## Detailed Description

Id:
  ClientRequestInterceptor_Adapter.h,v 1.2 2003/10/28 18:29:13 bala Exp

This file an adapter class to simplify the support of interceptors. This file is a modified form of ClientInterceptor_Adapter.h

Author:
  Nanbor Wang <nanbor@cs.wustl.edu> , Ossama Othman <ossama@uci.edu> , Kirthika Parameswaran <kirthika@cs.wustl.edu>